Subject: Re: FVWM: Firefox fullscreen mode: an observation

From: "Junren Shi And Xin Hu" <[email-masked]>
Date: Sat, 24 Jul 2004 16:21:39 -0400

><[email-masked]> wrote:
> > Yes.  The same thing happened before:  Somebody reported the same issue 
>for
> > Mozilla/Firebird, but others just cannot reproduce it.  I guess this bug
> > could be rather tricky. Actually, in my computer and in the rare 
>condition,
> > the fullscreen mode can come up normally.  Also running fvwm under 
>strace
> > seems to remedy the problem.
> >
> > I ran FvwmDebug and tried to see what's going on.  I found that for 
>firefox
> > the normal fullscreen procedure is: Destroy_Window -> Add_New_Window.  
>But
> > in the case that the fullscreen does not come up, Destroy_WIndow is 
>called
> > but the subsequent Add_New_Window never shows up in the debug output.
> > Either firefox does not send the request or fvwm ignores the request.
> >
>
>What makes me confused is that I use
>FvwmDebug -l log -d 4
>but only got one related to my firefox which is
>[FvwmDebug]: got M_RAISE_WINDOW
>M_RAISE_WINDOW
>         win_id       0x1a00030
>         frame_id     0x0621b49
>         ptr          137196848
>I haven't seen any like Destroy_Window niether Add_New_Window.
>Did I misuse the FvwmDebug?

I start the FvwmDebug from the desktop menu.  I guess it invokes "FvwmDebug 
-xc".

>
> > I suspect this is an issue of fvwm becuase the fullscreen mode runs ok 
>even
> > in the bare X server, i.e.,
> > in the "Just xterm".
> >
> > I also upgraded to 2.5.10, but the problem persists.
> >
> > By the way, I use the gtk2-xft build of firefox and Xorg 6.7.0r.
> >
>
>I use Gentoo and build them from source.  This is what gentoo's package
>tool emerge shows me
>[ebuild   R   ] x11-wm/fvwm-2.5.10-r3  -bidi -debug -gnome +gtk +gtk2
>+imlib +ncurses +nls -nosm -noxpm +perl +png +readline -rplay -stroke
>+tcltk +truetype -xinerama  0 kB
>[ebuild   R   ] net-www/mozilla-firefox-0.8-r3  -gnome +gtk2 -ipv6
>+java -moznoxft +truetype -xinerama  0 kB
>[ebuild   R   ] x11-base/xorg-x11-6.7.0-r1  -3dfx -3dnow +cjk -debug
>-dlloader -doc -ipv6 +mmx +nls +pam -sdk +sse -static  7,622 kB
>

I am using Fedora Core 2. The problem may be system-related.  But I believe 
there must be some hiding bugs in the request handling codes of Fvwm.  I 
just found another problem which may not be related to this Firefox issue: 
when returning from the "acroread" fullscreen mode, the window cannot be 
moved.

Anyway, this is a development version.

Best

Junren

_________________________________________________________________
Is your PC infected? Get a FREE online computer virus scan from McAfee® 
Security. http://clinic.mcafee.com/clinic/ibuy/campaign.asp?cid=3963

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Xiaoyong Jin <[email-masked]>
Date: Mon, 26 Jul 2004 17:13:05 +0800

Try this
Style Firefox-bin        NoPPosition

Good luck,
Jin